$(function()
{
    $('body').on('click', '#downloadTeacherPDF', function(){
        $('#downloadTeacherPDF').attr('disabled', 'disabled');
        $.fileDownload(URLdir + 'handler/admAccounts/getActivationForTeachers', {
            httpMethod: "POST",
            data:
            {
                'facultyID': $('.SelectFaculty option:selected').val()
            },
            successCallback: function (url) {
                $('#downloadTeacherPDF').removeAttr('disabled');
            },
            failCallback: function (html, url) {
                $('#downloadTeacherPDF').removeAttr('disabled');
                EventInspector.success("Отсутствуют неактивированные аккаунты!");
            }
        });
    });

    $('body').on('click', '#downloadStudentPDF', function(e){
        $('#downloadStudentPDF').attr('disabled', 'disabled');
        $.fileDownload(URLdir + 'handler/admAccounts/getActivationForStudents', {
            httpMethod: "POST",
            data:
            {
                'facultyID': $('.SelectFaculty option:selected').val(),
                'gradeID': $('.SelectGrade option:selected').val()
            },
            successCallback: function (url) {
                $('#downloadStudentPDF').removeAttr('disabled');
            },
            failCallback: function (html, url) {
                $('#downloadStudentPDF').removeAttr('disabled');
                EventInspector.success("Отсутствуют неактивированные аккаунты!");
            }
        });
    });
});
